Package org.eclipse.m2m.atl.common

## Interface IAtlLexems

    public interface IAtlLexems

This interface contains all the words of the ATL language, such as keywords.

### Field Summary

Fields
`static java.lang.String[]` `ABSTRACT_TYPES` Abstract types.
`static java.lang.String[]` `BRACKETS` Brackets.
`static java.lang.String[]` `CONSTANTS` Constants.
`static java.lang.String[]` `CONTEXT_KEYWORDS` Context keywords.
`static java.lang.String[]` `KEYWORDS` Keywords.
`static java.lang.String[]` `OPERATORS` Operators.
`static java.lang.String[]` `SPECIAL_COMMENTS` Special comments.
`static java.lang.String[]` `SYMBOLS` Symbols.
`static java.lang.String[]` `TYPES` Types.

### Field Detail

#### BRACKETS

    static final java.lang.String[] BRACKETS

Brackets.

#### CONSTANTS

    static final java.lang.String[] CONSTANTS

Constants.

#### KEYWORDS

    static final java.lang.String[] KEYWORDS

Keywords.

#### OPERATORS

    static final java.lang.String[] OPERATORS

Operators.

#### SYMBOLS

    static final java.lang.String[] SYMBOLS

Symbols.

#### TYPES

    static final java.lang.String[] TYPES

Types.

#### ABSTRACT_TYPES

    static final java.lang.String[] ABSTRACT_TYPES

Abstract types.

#### SPECIAL_COMMENTS

    static final java.lang.String[] SPECIAL_COMMENTS

Special comments.

#### CONTEXT_KEYWORDS

    static final java.lang.String[] CONTEXT_KEYWORDS

Context keywords.